## grendel.addressbook.addresscard
Class TermOr

    java.lang.Object
      |
      +--grendel.addressbook.addresscard.TermOr

public class TermOr
extends java.lang.Object
implements ITerm

Constructor Summary
`TermOr(ITerm aLeftTerm, ITerm aRightTerm)`

Method Summary
`AC_IDSet` | `evaluate_ACSP(IQuerySet iqs)` No-op for now (Jeff)
`java.lang.String` | `getExpression(IQueryString iqs)`
`AC_IDSet` | `getSet(IQuerySet iqs)` Logically or the left and right sets.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermOr

    public TermOr(ITerm aLeftTerm,
                  ITerm aRightTerm)

Method Detail

### getExpression

    public java.lang.String getExpression(IQueryString iqs)

  Specified by:
    getExpression in interface ITerm

### getSet

    public AC_IDSet getSet(IQuerySet iqs)

  Logically or the left and right sets.
  Specified by:
    getSet in interface ITerm

### evaluate_ACSP

    public AC_IDSet evaluate_ACSP(IQuerySet iqs)

  No-op for now (Jeff)
  Specified by:
    evaluate_ACSP in interface ITerm